﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
    
public partial class HTMLTable : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Динамическое заполнение списков 
        // выполнить только при первом запросе
        if (!this.IsPostBack)
        {
            // Заполнение списка bgColor
            bgColor.Items[0].Text = "None";
            bgColor.Items[0].Value = "";
            bgColor.Items.Add("White");
            bgColor.Items.Add("Red");
            bgColor.Items.Add("Green");
            bgColor.Items.Add("Blue");
            bgColor.Items.Add("Yellow");
    
            // Заполнение списка border
            border.Items[0].Text = "0";
            border.Items.Add("1");
            border.Items.Add("2");
            border.Items.Add("3");
            border.Items.Add("4");
            border.Items.Add("5");
            border.SelectedIndex = 1;// Сделать текущей
    
            // Заполнение списка cellPad
            cellPad.Items[0].Text = "0";
            cellPad.Items.Add("1");
            cellPad.Items.Add("2");
            cellPad.Items.Add("3");
            cellPad.Items.Add("4");
            cellPad.Items.Add("5");
    
            // Заполнение списка cellSpace
            cellSpac.Items[0].Text = "0";
            cellSpac.Items.Add("1");
            cellSpac.Items.Add("2");
            cellSpac.Items.Add("3");
            cellSpac.Items.Add("4");
            cellSpac.Items.Add("5");
    
            // Заполнение списка selectRow
            selectRow.Items[0].Text = "1";
            selectRow.Items.Add("2");
            selectRow.Items.Add("3");
    
            // Заполнение списка rowColor
            rowColor.Items[0].Text = "None";
            rowColor.Items[0].Value = "";
            rowColor.Items.Add("White");
            rowColor.Items.Add("Red");
            rowColor.Items.Add("Green");
            rowColor.Items.Add("Blue");
            rowColor.Items.Add("Yellow");
        }
    }
    
    protected void Execute_ServerClick(object sender, EventArgs e)
    {
        // Управление атрибутами всей таблицы
        table.BgColor = bgColor.Value;
        table.Border = Convert.ToInt32(border.Value);
        table.CellPadding = Convert.ToInt32(cellPad.Value);
        table.CellSpacing = Convert.ToInt32(cellSpac.Value);
    
        // Управление атрибутами отдельных строк
        if (selectRow.Value == "1")
            Tr1.BgColor = rowColor.Value;
        else if (selectRow.Value == "2")
            Tr2.BgColor = rowColor.Value;
        else if (selectRow.Value == "3")
            Tr3.BgColor = rowColor.Value;
    }
}
